Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.http
Interface Generator

All Known Implementing Classes:
  AbstractGenerator, Ajp13Generator, HttpGenerator

    public interface Generator

Field Summary
`static boolean` | `LAST`
`static boolean` | `MORE`

Method Summary
`void` | `addContent(Buffer content, boolean last)` Add content.
`boolean` | `addContent(byte b)` Add content.
`void` | `complete()`
`void` | `completeHeader(HttpFields responseFields, boolean last)`
`long` | `flushBuffer()`
`int` | `getContentBufferSize()`
`long` | `getContentWritten()`
`void` | `increaseContentBufferSize(int size)`
`boolean` | `isAllContentWritten()`
`boolean` | `isBufferFull()`
`boolean` | `isCommitted()`
`boolean` | `isComplete()`
`boolean` | `isIdle()`
`boolean` | `isPersistent()`
`boolean` | `isWritten()`
`void` | `reset(boolean returnBuffers)`
`void` | `resetBuffer()`
`void` | `sendError(int code, java.lang.String reason, java.lang.String content, boolean close)`
`void` | `setContentLength(long length)`
`void` | `setDate(Buffer timeStampBuffer)`
`void` | `setHead(boolean head)`
`void` | `setPersistent(boolean persistent)`
`void` | `setRequest(java.lang.String method, java.lang.String uri)`
`void` | `setResponse(int status, java.lang.String reason)`
`void` | `setSendServerVersion(boolean sendServerVersion)`
`void` | `setVersion(int version)`

Field Detail

### LAST

    static final boolean LAST

See Also:
  Constant Field Values

### MORE

    static final boolean MORE

See Also:
  Constant Field Values

Method Detail

### addContent

    void addContent(Buffer content,
                    boolean last)
                    throws java.io.IOException

  Add content.

  Parameters:
    `content` -
    `last` -
  Throws:
    `java.lang.IllegalArgumentException` - if `content` is `immutable`.
    `java.lang.IllegalStateException` - If the request is not expecting any more content, or if the buffers are full and cannot be flushed.
    `java.io.IOException` - if there is a problem flushing the buffers.

### addContent

    boolean addContent(byte b)
                       throws java.io.IOException

  Add content.

  Parameters:
    `b` - byte
  Returns:
    true if the buffers are full
  Throws:
    `java.io.IOException`

### complete

    void complete()
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### completeHeader

    void completeHeader(HttpFields responseFields,
                        boolean last)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### flushBuffer

    long flushBuffer()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### getContentBufferSize

    int getContentBufferSize()

### getContentWritten

    long getContentWritten()

### isWritten

    boolean isWritten()

### isAllContentWritten

    boolean isAllContentWritten()

### increaseContentBufferSize

    void increaseContentBufferSize(int size)

### isBufferFull

    boolean isBufferFull()

### isCommitted

    boolean isCommitted()

### isComplete

    boolean isComplete()

### isPersistent

    boolean isPersistent()

### reset

    void reset(boolean returnBuffers)

### resetBuffer

    void resetBuffer()

### sendError

    void sendError(int code,
                   java.lang.String reason,
                   java.lang.String content,
                   boolean close)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### setHead

    void setHead(boolean head)

### setRequest

    void setRequest(java.lang.String method,
                    java.lang.String uri)

### setResponse

    void setResponse(int status,
                     java.lang.String reason)

### setSendServerVersion

    void setSendServerVersion(boolean sendServerVersion)

### setVersion

    void setVersion(int version)

### isIdle

    boolean isIdle()

### setContentLength

    void setContentLength(long length)

### setPersistent

    void setPersistent(boolean persistent)

### setDate

    void setDate(Buffer timeStampBuffer)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.